from scenes import *
import pyray as rl
from classField import Field
from entities import ManPac, Ghost


def main():
    window_width = 540
    window_height = 1100
    rl.init_window(window_width, window_height, 'manpac')
    # rl.set_target_fps(15)
    rl.set_target_fps(60)
    field = Field()
    sn = 'mn'

    pacman = ManPac(pos=[12, 28])

    ghosts = []
    colors = [rl.RED, rl.SKYBLUE, rl.GREEN, rl.PINK, rl.BROWN, rl.ORANGE]
    for (color, spawn) in zip(colors, field.get_ghost_spawns()):
        ghosts.append(Ghost(spawn, color))

    while not (rl.window_should_close()):
        rl.begin_drawing()
        if sn == "mn":
            sn = draw_menu(sn, pacman)
        elif sn == "rc":
            sn = draw_record(sn)
        elif sn == "go":
            sn = draw_game_over(sn, pacman.score)
        elif sn == "fd":
            rl.set_target_fps(8)
            sn = draw_field(sn, field, pacman, ghosts)
        rl.end_drawing()


if __name__ == '__main__':
    main()
