import pyray as rl
from classField import *
from entities import ManPac, Ghost


def draw_menu(scn, pacman):
    rl.clear_background(rl.BLACK)
    rl.draw_text('ManPac', 120, 400, 80, rl.BLUE)
    if rl.gui_button(rl.Rectangle(70, 700, 400, 50), 'Start'):
        scn = 'fd'
        pacman.score = 0
        pacman.lives = 3
        pacman.seeds = 512
    if rl.gui_button(rl.Rectangle(70, 770, 400, 50), 'Records'):
        scn = 'rc'
    if rl.gui_button(rl.Rectangle(70, 840, 400, 50), 'Exit'):
        rl.close_window()
        quit()
    return scn


def draw_game_over(scn, score):
    rl.clear_background(rl.BLACK)
    rl.draw_text('Game over!', 75, 250, 75, rl.BLUE)
    rl.draw_text(f'Your score: {score}', 75, 690, 40, rl.BLUE)
    if rl.gui_button(rl.Rectangle(70, 750, 400, 50), 'To the menu'):
        scn = 'mn'
    return scn


def draw_field(scn, field: Field, pacman: ManPac, ghosts: list[Ghost]):
    rl.clear_background(rl.BLACK)
    field.draw()
    pacman.handle_wasd()
    pacman.process(field, ghosts)
    if pacman.lives < 1 or pacman.seeds == 0:
        rec = []
        with open('records.csv', 'r') as r:
            for i in list(csv.reader(r)):
                rec.append(int(i[0]))
        if pacman.score > int(rec[-1]):
            rec.append(pacman.score)
            rec.sort(reverse=True)
            print(rec[:])
            with open('records.csv', 'w') as r:
                wr = csv.writer(r)
                for i in range(0, len(rec) - 1):
                    wr.writerow([rec[i]])
        scn = 'go'
    pacman.draw()
    for ghost in ghosts:
        ghost.process(field)
        ghost.draw()
    return scn


def draw_record(scn):
    rl.clear_background(rl.BLACK)
    rl.draw_text('Records', 120, 100, 80, rl.BLUE)
    with open('records.csv', 'r') as r:
        rec = list(csv.reader(r))
    for i in range(len(rec)):
        rl.draw_text(f'{i + 1}. {rec[i][0]}', 70, 220 + i * 60, 40, rl.BLUE)
        rl.draw_text(f'{i + 1}. {rec[i][0]}', 70, 220 + i * 60, 40, rl.LIGHTGRAY)
    if rl.gui_button(rl.Rectangle(70, 840, 400, 50), 'To menu'):
        scn = 'mn'
    return scn

